| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::TagsPopupMenu Class Reference
Inheritance diagram for Digikam::TagsPopupMenu:

## Public Types
enum | Mode { ASSIGN = 0 , REMOVE , DISPLAY , RECENTLYASSIGNED }

## Signals
void | signalPopupTagsView ()
void | signalTagActivated (int id)

## Public Member Functions
| TagsPopupMenu (const QList< qlonglong > &selectedImageIDs, Mode mode, QWidget *const parent=nullptr)
| TagsPopupMenu (qlonglong selectedImageId, Mode mode, QWidget *const parent=nullptr)

## Member Enumeration Documentation

## ◆ Mode

enum Digikam::TagsPopupMenu::Mode

Enumerator
DISPLAY | Used by "GoTo Tag" feature.